#ifdef WIN32
#include <winsock2.h>
#include <windows.h>
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"


#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include "wx/sizer.h"

#include <wx/config.h>
#include <wx/confbase.h>
#include <wx/fileconf.h>
#ifdef WIN32
#include <wx/msw/regconf.h>
#include <wx/msw/iniconf.h> 
#endif

#if !wxUSE_CONSTRAINTS
#error You must set wxUSE_CONSTRAINTS to 1 in setup.h!
#endif

#if defined(__WXGTK__) || defined(__WXMOTIF__)
    #define USE_XPM
#endif

#ifdef USE_XPM
    #include "transcoder.xpm"
#endif

#include <ctype.h>

//#include "wx/statline.h"

#include "oddcast_config.h"
#include "liboddcast_wxconfig.h"


#include "log.h"
#include "transcurl.h"
#include "liboddcast.h"
#include "transcode.h"

#define ID_CONNECT_BUTTON	100

transcodeGlobals	globals;
char	*gConfigFile = NULL;

// Declare two frames
wxOddcastConfigFrame *configFrame;

IMPLEMENT_APP(MyApp)
DECLARE_APP(MyApp)

int	gWxIsRunning = 0;

void stMessage(char *message)
{
	wxMessageDialog	mess(NULL, message, "Message", wxOK);
	mess.ShowModal();

}

MyApp::MyApp()
{
}

bool MyApp::OnInit()
{
	setConfigFileName("transcoder.cfg");
	readConfigFile();
	configFrame = new wxOddcastConfigFrame(NULL, "Edit Config", 50,0, 480, 670);
	configFrame->m_bigHack = 1;
	configFrame->Init(1);
	configFrame->ShowModal();

//	delete(configFrame);
	exit(1);
	return FALSE;
}

